POST https://YOUR-NETWORK-DOMAIN/rest-api/campaign/{campaignId}/pmp-deals/disable.do
Switches PMP deals off for the campaign. The deals are kept but no longer sent in bid requests until the switch is turned on again. Requires the RTB_PMP_DEALS permission and UPDATE access to the campaign's advertiser.
Path Params
campaignIdintegerrequired
Numeric ID of the campaign
2001
Responses
200
PMP deals disabled; pmpDealsEnabled echoes the new state
using var client = new HttpClient();
var request = new HttpRequestMessage(new HttpMethod("POST"), "https://YOUR-NETWORK-DOMAIN/rest-api/campaign/2001/pmp-deals/disable.do");
request.Headers.Add("X-Api-Key", "YOUR_API_KEY");
var response = await client.SendAsync(request);
Console.WriteLine(await response.Content.ReadAsStringAsync());